Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xmlpatterns
Class QXmlNamePool

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.xmlpatterns.QXmlNamePool

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QXmlNamePool

extends QtJambiObject
implements java.lang.Cloneable

The `QXmlNamePool` class is a table of shared strings referenced by instances of `QXmlName`. `QXmlNamePool` is used to optimize operations on instances of `QXmlName`. An instance of `QXmlName` represents an XML name in a way that allows the XML name to be compared and passed around efficiently. The efficiency is achieved by storing the strings comprising the XML names in an instance of `QXmlNamePool`, where they are mapped to binary identifiers, which are then packed into a key which is stored in the `QXmlName`.

This means that each instance of `QXmlName` is tied to the name pool it was created with, and that name pool should be kept in scope and used to create all instances of `QXmlName` that might be compared. Note also that the name pool is required if you must reconstitute the `QXmlName` as text, or if you must access any of its component strings, so although instances of `QXmlName` can be compared without reference to a name pool, the name pool must be kept in scope if the name's strings must be accessed later.

See also:
  `QXmlName`, and `QXmlQuery::namePool()`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QXmlNamePool()` Constructs an empty name pool.
`QXmlNamePool(QXmlNamePool other)` Constructs a copy of the `other` name pool.

Method Summary
`QXmlNamePool` | `clone()` This method is reimplemented for internal reasons
`static QXmlNamePool` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QXmlNamePool instance pointed to by `nativePointer`.
`static QNativePointer` | `nativePointerArray(QXmlNamePool[] array)` This function returns a QNativePointer that is pointing to the specified QXmlNamePool array.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QXmlNamePool

    public QXmlNamePool()

  Constructs an empty name pool.

### QXmlNamePool

    public QXmlNamePool(QXmlNamePool other)

  Constructs a copy of the `other` name pool.

Method Detail

### fromNativePointer

    public static QXmlNamePool fromNativePointer(QNativePointer nativePointer)

  This method returns the QXmlNamePool instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QXmlNamePool[] array)

  This function returns a QNativePointer that is pointing to the specified QXmlNamePool array.

### clone

    public QXmlNamePool clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD